import { defineStore } from 'pinia'

const usePermissionBtnStore = defineStore('permissionBtn', {
  state: () => ({
    permissionBtns: [] as string[], // 权限按钮数组
  }),

  actions: {
    setBtn(state: string[]) {
      this.permissionBtns = state
    },
  },
})

export default usePermissionBtnStore
